com.ibm.openpages.api.workflow

## Interface IWFActivityInstanceFindOptions

- All Superinterfaces:
    IBaseFindOptions, IWFBaseFindOptions

      public interface IWFActivityInstanceFindOptions
      extends IWFBaseFindOptions

  Represents options for `IWorkflowService.getActivityInstances(IWFActivityInstanceFindOptions)`.

  Since:
    8.0.0.2

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IWFActivityInstanceFindOptions.DateScope` Enum used for setting the scope of due date grouping.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `WFConditionAttribute` | `getDueDateCountsGroupByField()` Returns the groupByField value.
    `IWFActivityInstanceFindOptions.DateScope` | `getDueDateCountsScope()` Returns the DateScope used for grouping counts.
    `boolean` | `isDueDateCountsOnProcess()` Returns true if the due date counts are on the process due date.
    `boolean` | `isIncludeContextualAttributes()` Returns the includeContextutalAttributes flag.
    `boolean` | `isIncludeDueDateCounts()` Returns the includeDueDateCounts flag.
    `void` | `setDueDateCountsGroupByField(WFConditionAttribute groupByField)` Specifies an additional group by attribute beyond due date to group counts by.
    `void` | `setDueDateCountsOnProcess(boolean processDueDate)` Sets true to include due date counts on the process due date.
    `void` | `setDueDateCountsScope(IWFActivityInstanceFindOptions.DateScope scope)` Sets the DateScope for grouping counts.
    `void` | `setIncludeContextualAttributes(boolean includeContextualAttributes)` When set to true the returned value will include lists of workflows, object types and activities relevant to the entire result set.
    `void` | `setIncludeDueDateCounts(boolean includeDueDateCounts)` When set to true the returned value will include lists of counts based on grouping parameters.

    - ### Methods inherited from interface com.ibm.openpages.api.workflow.IWFBaseFindOptions

      `addCondition, getConditions, getPageNum, getResultsPerPage, setConditions, setPageNum, setResultsPerPage, setSortFieldName`

    - ### Methods inherited from interface com.ibm.openpages.api.rule.IBaseFindOptions

      `getAndOr, getIncludeTotalCount, getIsPagingOn, getMaxResults, getReturnLastRow, getReturnOnlyCounts, getReturnStartRow, getSortDirection, getSortFieldName, setAndOr, setIncludeTotalCount, setMaxResults, setPagingOn, setReturnLastRow, setReturnOnlyCounts, setReturnStartRow, setSortDirection`

- - ### Method Detail

    - #### setIncludeContextualAttributes

          void setIncludeContextualAttributes(boolean includeContextualAttributes)

      When set to true the returned value will include lists of workflows, object types and activities relevant to the entire result set. Usable for additional filtering.
      Parameters:
        `includeContextualAttributes` -

    - #### isIncludeContextualAttributes

          boolean isIncludeContextualAttributes()

      Returns the includeContextutalAttributes flag.
      Returns:

    - #### setIncludeDueDateCounts

          void setIncludeDueDateCounts(boolean includeDueDateCounts)

      When set to true the returned value will include lists of counts based on grouping parameters.
      Parameters:
        `includeDueDateCounts` -

    - #### isIncludeDueDateCounts

          boolean isIncludeDueDateCounts()

      Returns the includeDueDateCounts flag.
      Returns:

    - #### setDueDateCountsGroupByField

          void setDueDateCountsGroupByField(WFConditionAttribute groupByField)

      Specifies an additional group by attribute beyond due date to group counts by. Used when includeDueDateCounts is set to true.
      Parameters:
        `groupByField` -

    - #### getDueDateCountsGroupByField

          WFConditionAttribute getDueDateCountsGroupByField()

      Returns the groupByField value. Default is null.
      Returns:

    - #### setDueDateCountsScope

          void setDueDateCountsScope(IWFActivityInstanceFindOptions.DateScope scope)

      Sets the DateScope for grouping counts.
      Parameters:
        `scope` -

    - #### getDueDateCountsScope

          IWFActivityInstanceFindOptions.DateScope getDueDateCountsScope()

      Returns the DateScope used for grouping counts. Default is month.
      Returns:

    - #### setDueDateCountsOnProcess

          void setDueDateCountsOnProcess(boolean processDueDate)

      Sets true to include due date counts on the process due date. Otherwise the due date counts are on the activity due date.
      Parameters:
        `processDueDate` -

    - #### isDueDateCountsOnProcess

          boolean isDueDateCountsOnProcess()

      Returns true if the due date counts are on the process due date. Otherwise the due date counts are on the activity due date. The default value is false.
      Returns:

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.